Bug 7912 - winbind, does not always/consistently map a SID to an id
winbind, does not always/consistently map a SID to an id
Status: RESOLVED FIXED
Product: mod_auth_ntlm_winbind
Classification: Unclassified
Component: module
0.1
Other Linux
: P3 normal
: ---
Assigned To: Gerald (Jerry) Carter
Gerald (Jerry) Carter
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-01-12 11:22 UTC by Shirish S. Pargaonkar
Modified: 2013-02-09 21:02 UTC (History)
0 users

See Also:


Attachments
error when winbind fails to map a SID to an id (47.53 KB, application/octet-stream)
2011-01-12 11:28 UTC, Shirish S. Pargaonkar
no flags Details
The same SID is mapped to an id (249.29 KB, application/octet-stream)
2011-01-12 11:33 UTC, Shirish S. Pargaonkar
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Shirish S. Pargaonkar 2011-01-12 11:22:50 UTC
winbindd sometimes does but other times does not map a SID to an uid/gid.
It also sometimes does not resolve a SID to a name.

# /usr/sbin/winbindd -V
Version 3.2.5-1.3-2022-SUSE-CODE11

I am using cifs upcall which links to /usr/local/samba/lib/libwbclient.so
Most of the time, it is error 7.
Will attach the winbind log files.
Comment 1 Shirish S. Pargaonkar 2011-01-12 11:28:45 UTC
Created attachment 6194 [details]
error when winbind fails to map a SID to an id

[2011/01/12 10:01:29,  5] winbindd/winbindd_sid.c:sid2uid_lookupsid_recv(185)
  sid2uid_lookupsid_recv Could not convert get sid type for S-1-5-21-2849063682-2007077719-983662776-1116
Comment 2 Shirish S. Pargaonkar 2011-01-12 11:33:28 UTC
Created attachment 6195 [details]
The same SID is mapped to an id

[2011/01/12 10:14:10, 10] winbindd/winbindd_user.c:getpwuid_recv(456)
  uid2sid_recv: uid 10001 has sid S-1-5-21-2849063682-2007077719-983662776-1116
[2011/01/12 10:14:10, 10] lib/events.c:event_add_timed(128)
Comment 3 Björn Jacke 2013-02-09 21:02:28 UTC
that code has seen a long and exciting history of changes over the years. it's very likely that this is fixed now. but the config for it probably also needs changes. if u still see bugs with 3.6or 4.0 please reopen again or file another. thanks.